## freevo 1.9.2b2

=== Makefile ===
VERSION := `cat VERSION`

PARTS   = plugins src include

LDFLAGS += 

.PHONY: docs clean distclean package package_nodocs build_package help all

help:
	@echo -e "\033[0;1mAvaiable make targets:\033[0m"
	@grep -e '^[a-zA-Z0-9_]\+:' Makefile | sed 's/^\([a-zA-Z0-9_]\+\):.*/  make \1/' | sort
	@if [ ! -f config.mk ]; then \
		 echo -e "\033[1;33mBefore running any command, please do \033[0;1m./configure\033[0m";\
	fi

all:
	@if [ ! -f config.mk ]; then \
		echo -e "\033[1;33mPlease do \033[0;1m./configure\033[0m"; \
	else \
	        $(MAKE) -C src all; \
		for arq in $(PARTS); do $(MAKE) -C $$arq all; done; \
	fi

clean:
	@if [ ! -f config.mk ]; then \
		echo -e "\033[1;33mPlease do \033[0;1m./configure"; \
	else \
		rm -f *.o *.a *~; \
		for arq in $(PARTS); do $(MAKE) -C $$arq clean; done; \
	fi

distclean:
	@if [ ! -f config.mk ]; then \
		echo -e "\033[1;33mPlease do \033[0;1m./configure\033[0m"; \
	else \
		rm -f *.o *.a *~; \
		for arq in $(PARTS); do $(MAKE) -C $$arq distclean; done; \
		rm config.mk; \
		rm -rf build; \
	fi

docs: clean
	rm -fr docs
	doxygen Doxyfile

package: distclean docs build_package

package_nodocs: distclean build_package

build_package:	
	@echo -e "\033[1;33m* \033[0;1mPacking source to \033[1;36m../mpav-$(VERSION).tar.bz2\033[0m"	
	@tar cjvf ../mpav-$(VERSION).tar.bz2 ../mpav

install: all
	@if [ ! -f config.mk ]; then \
		echo -e "\033[1;33mPlease do \033[0;1m./configure\033[0m"; \
	else \
	        $(MAKE) -C src all; \
		for arq in $(PARTS); do $(MAKE) -C $$arq install; done; \
	fi

=== PyGphoto_src/Makefile ===
#
# Freevo main makefile
# 
# $Id$
#

CC = gcc
SWIG = swig
SWIGOPTS = -python -I/usr/include
#CFLAGS = -O2 -Wall 
PYTHONVERSION = python2.4

XLIBS = -L/usr/lib -lgphoto2
XINC = -I/usr/include/gphoto2 -I/usr/include/$(PYTHONVERSION)

all: _pygphoto_lowlevel.so

_pygphoto_lowlevel.so: pygphoto_lowlevel_wrap.o
	ld -shared pygphoto_lowlevel_wrap.o $(XLIBS) -o _pygphoto_lowlevel.so

pygphoto_lowlevel_wrap.o: pygphoto_lowlevel_wrap.c
	$(CC) $(CFLAGS) -c pygphoto_lowlevel_wrap.c $(XINC)

pygphoto_lowlevel_wrap.c: pygphoto_lowlevel.i
	$(SWIG) $(SWIGOPTS) pygphoto_lowlevel.i

clean:
	-rm -f *.pyc  
	-rm _pygphoto_lowlevel.so
	-rm pygphoto_lowlevel_wrap.o
	-rm pygphoto_lowlevel_wrap.c
	-rm pygphoto_lowlevel.py

=== include/Makefile ===
include ../config.mk

all:

clean:
	rm -f *~ *.o *.a

distclean: clean

install:

=== plugins/Makefile ===
include ../config.mk

PARTS = "`find -maxdepth 1 -mindepth 1 -type d -printf "%f"`"

all:
	for arq in $(PARTS); do $(MAKE) -C $$arq all; done

clean:
	rm -f *.o *.a *~
	for arq in $(PARTS); do $(MAKE) -C $$arq clean; done

distclean:
	rm -f *.o *.a *~
	for arq in $(PARTS); do $(MAKE) -C $$arq distclean; done

install:
	for arq in $(PARTS); do $(MAKE) -C $$arq install; done

=== runtime/Makefile ===
#if 0 /*
# -----------------------------------------------------------------------
# Makefile - builds the runtime (libraries and apps)
#
# $Id: Makefile 4281 2003-11-10 01:17:04Z rshortt $
#
# Notes:
# Todo:        
#
# -----------------------------------------------------------------------
# $Log$
# Revision 1.24  2003/11/10 01:17:04  rshortt
# Incriment runtime version.
#
# Revision 1.23  2003/11/10 01:09:42  rshortt
# Turn the runapp's DEBUG on.
#
# Revision 1.22  2003/11/09 19:35:46  rshortt
# Runtime fixes.
#
# Revision 1.21  2003/11/09 16:36:46  rshortt
# Some pygphoto and gphoto plugin fixes.
#
# Revision 1.20  2003/10/31 20:13:01  rshortt
# Changes for the 1.4 runtime and add runtime_release target.
#
# Revision 1.19  2003/08/06 00:34:45  rshortt
# Adding pylcd.
#
# Revision 1.18  2003/06/22 17:20:16  rshortt
# Go back to using the system python because it is easier.
#
# Revision 1.17  2003/04/22 01:33:35  rshortt
# Bugfixes.
#
# Revision 1.16  2003/04/21 19:31:37  rshortt
# Add mplayer and ffmpeg.
#
# Revision 1.15  2003/04/20 13:53:38  rshortt
# Added a build of DirectFB.
#
# Revision 1.14  2003/04/20 13:06:36  rshortt
# Added a DXR3 build. (build_dxr3)
#
# Revision 1.13  2003/04/19 20:08:30  rshortt
# Better COPY_BASE
#
# Revision 1.12  2003/04/19 19:54:42  rshortt
# Modifications for a runtime build system.  Still WIP but almost done.
#
# Revision 1.11  2003/03/04 05:44:36  krister
# Added fchksum
#
# Revision 1.10  2003/02/21 04:36:43  krister
# Bugfix for missing network libs.
#
# Revision 1.9  2003/02/19 08:08:29  krister
# Applied Aubins new pylirc code after testing it (seems to work with keyboard at least), and adding the pylircmodule to the runtime build environment (not required for keyboard operation).
#
# Revision 1.8  2003/02/18 04:54:05  krister
# runtime builder updates.
#
# Revision 1.7  2003/02/18 04:15:27  krister
# Added jpegtran to the runtime build.
#
# Revision 1.6  2003/02/07 05:06:32  krister
# Added execute flag for pygphoto.so
#
# Revision 1.5  2003/02/05 15:22:52  krister
# Updated build stuff, Changelog
#
# Revision 1.4  2003/02/05 06:10:46  krister
# Changed the start scripts and childapp.py to use startprog to start all programs.
#
# Revision 1.3  2003/01/28 03:45:35  krister
# Work in progress...
#
# Revision 1.2  2003/01/24 07:30:56  krister
# Create missing folders.
#
# Revision 1.1  2003/01/24 07:19:48  krister
# New runtime
#
#
#
# -----------------------------------------------------------------------
# Freevo - A Home Theater PC framework
# Copyright (C) 2002 Krister Lagerstrom, et al. 
# Please see the file freevo/Docs/CREDITS for a complete list of authors.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MER-
# CHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
# ----------------------------------------------------------------------- */
#endif

include package_list.mk

RUNTIME_VERSION="0.3"

COPY_BASE=`pwd`

EXT=
PACKAGE=
PACKAGE_GET=
TAR1="tar zxvf"
TAR2="tar jxvf"

PREFIX=/usr
COPY_BASE=$(PREFIX)

CFGFLAGS="--prefix=$(PREFIX)"

PYBIN=/usr/bin/python
LIRCLIB=/usr/local/lib
LIRCINC=/usr/local/include

LOGDIR=/var/log/freevo

.PHONY: copy build clean src copy_libdeps


# There is no default target, you gotta know what you're doing :-)
all:
	@echo
	@echo Please see the Makefile source and the Wiki for more info!
	@echo
	@echo Right now this file is only used as a tool to release the binary
	@echo runtime.
	@echo


runapp_static: src/runapp.c
	rm -f runapp
	$(CC) $(CFLAGS) -static -o runapp src/runapp.c -DRUNAPP_LOGDIR=\"$(LOGDIR)\" -DDEBUG
	strip runapp

runapp_dyn: src/runapp.c
	rm -f runapp
	$(CC) $(CFLAGS) -o runapp src/runapp.c -DRUNAPP_LOGDIR=\"$(LOGDIR)\" -DDEBUG
	strip runapp


runtime_release: runapp_static copy
	rm -f ../freevo-runtime-$(RUNTIME_VERSION).tar.gz
	cd ..; \
	tar zcvhf freevo-runtime-$(RUNTIME_VERSION).tar.gz runtime/runapp runtime/apps runtime/lib runtime/dll runtime/preloads ; \
	cd -

# Copy the libraries, programs etc to this directory
# There is no dependency checking, the libs are just copied
# It is probably a good idea to do a build first, unless you know
# all libs are up-to-date.
# Python programs in lib/ have their execute flag removed since
# RPM building chokes on them.
copy: 	python_copy jpegtran_copy matroxset_copy copy_libdeps
	find lib -name "*.so" -exec strip {} \;
	find dll -name "*.so*" -exec strip {} \;
	find apps -perm +111 -type f -exec strip {} \;
	find lib -name "*.py" -perm +0111 -exec chmod ugo-x \{\} \;


# Build all the libraries etc
build:
	$(MAKE) -C build all


# Copy apps etc from the build dir
build_copy:
	$(MAKE) -C build copy


# Remove all copied libraries, programs etc
# The build directory is not touched
clean: 
	-rm -rf lib apps/* dll/* tmp preloads


# A python app that checks all libs and apps to find dynamic
# link lib dependencies. All deps are copied to the dll folder.
# The dynamic link loader ld-linux is renamed to freevo-run for
# easy killing in the main startscript 'freevo'
copy_libdeps:
	-rm -rf dll
	-mkdir -p dll
	python copy_libdeps.py
	mv dll/ld-linux.so.2 dll/freevo_loader
	cp $(PREFIX)/lib/i486/libcrypto.so.0.9.7 dll/
	cp $(PREFIX)/lib/i486/libssl.so.0.9.7 dll/


################################################################################
#
# Python 2.3
#
################################################################################
# This will copy a number of the other packages as well since they're installed
# in python's site-packages folder.
python_copy:
	@echo Copying python
	-rm -rf lib
	-rm -rf tmp
	-mkdir -p lib
	-mkdir -p apps
	cp -a /usr/lib/python2.3 lib
	find . -name "*.pyo" -exec rm {} \;
	find . -name "*.pyc" -exec rm {} \;
	rm -rf lib/python2.3/config
	rm -rf lib/python2.3/lib-tk
	rm -rf lib/python2.3/lib-old
	rm -rf lib/python2.3/test
	-mkdir -p tmp
	cp -a lib/python2.3/site-packages/{Numeric,Numeric.pth} tmp
	cp -a lib/python2.3/site-packages/{PIL,PIL.pth,_xmlplus,aomodule.so} tmp
	cp -a lib/python2.3/site-packages/{ogg,pygame,_pygphoto.so,pygphoto.py} tmp
	cp -a lib/python2.3/site-packages/{pylircmodule.so,fchksum.so,pylcd.py} tmp
	cp -a lib/python2.3/site-packages/{mmpython,twisted} tmp
	rm -rf lib/python2.3/site-packages
	mv tmp lib/python2.3/site-packages
	cp -a /usr/bin/python2.3 apps/freevo_python


################################################################################
#
# MPlayer/Mencoder
#
################################################################################
mplayer_copy:
	@echo Copying mplayer/mencoder
	-mkdir -p apps/mplayer
	cp $(PREFIX)/MPlayer/bin/{mplayer,mencoder} ./apps/mplayer/
	# cp $(PREFIX)/MPlayer/bin/README ./apps/mplayer/README.mplayer
	# cp $(PREFIX)/MPlayer/bin/etc/{codecs.conf,input.conf} ./apps/mplayer/


################################################################################
#
# MPlayer fonts
#
################################################################################
mplayer_fonts_copy:
	@echo Copying mplayer fonts
	-mkdir -p apps/mplayer/font
	cp $(PREFIX)/MPlayer/font/* apps/mplayer/font


################################################################################
#
# cdparanoia
#
################################################################################
cdparanoia_copy:
	@echo Copying cdparanoia
	cp -a $(PREFIX)/bin/cdparanoia apps/


################################################################################
#
# lame
#
################################################################################
lame_copy:
	@echo Copying lame
	cp -a $(PREFIX)/bin/lame apps/


################################################################################
#
# jpegtran. comes from the libjpeg v6b library.
#
################################################################################
jpegtran_copy:
	@echo Copying jpegtran
	cp -a $(PREFIX)/bin/jpegtran apps/


################################################################################
#
# matroxset, comes with mplayer
#
################################################################################
matroxset_copy:
	@echo Copying matroxset
	cp -a $(PREFIX)/bin/matroxset apps/


build_all_pkg: build_packageconfig build_libusb build_python build_jpeg build_png build_zlib build_ffmpeg build_dxr3 build_directfb build_sdl build_alsa build_aumix build_cddb build_cdparanoia build_egenix build_expat build_freetype build_lame build_libao build_libexif build_libgphoto build_libogg build_libvorbis build_pyogg build_pyvorbis build_pyao build_pyfchksum build_pyimaging build_pylirc build_pynumeric build_pyxml build_pyxmms build_sdlimage build_sdlttf build_smpeg build_sdlmixer build_pygame build_swig build_pygphoto build_vorbistools build_mp1e build_mplayer get_mplayer_fonts



build_python: PACKAGE=$(PYTHON)
build_python: PACKAGE_GET=$(PYTHON_GET)
build_python: EXT=tgz
build_python: TAR=$(TAR1)
build_python: BUILDCMDS=
build_python: CFG=$(CFGFLAGS)
build_python:  
	@ . build_functions ;\
	  get_package $(PACKAGE) $(PACKAGE_GET) $(EXT) ;\
	  build_package $(COPY_BASE) $(TAR) $(EXT) $(PACKAGE) \
	                $(PACKAGE) $(CFG) $(BUILDCMDS)


build_expat: PACKAGE=$(EXPAT)
build_expat: PACKAGE_GET=$(EXPAT_GET)
build_expat: EXT=tar.gz
build_expat: TAR=$(TAR1)
build_expat: BUILDCMDS=
build_expat: CFG=$(CFGFLAGS)
build_expat: 
	@ . build_functions ;\
	  get_package $(PACKAGE) $(PACKAGE_GET) $(EXT) ;\
	  build_package $(COPY_BASE) $(TAR) $(EXT) $(PACKAGE) \
	                $(PACKAGE) $(CFG) $(BUILDCMDS)


build_mp1e: PACKAGE=$(MP1E)
build_mp1e: PACKAGE_GET=$(MP1E_GET)
build_mp1e: EXT=tar.gz
build_mp1e: TAR=$(TAR1)
build_mp1e: BUILDCMDS=
build_mp1e: CFG=$(CFGFLAGS)
build_mp1e: 
	@ . build_functions ;\
	  get_package $(PACKAGE) $(PACKAGE_GET) $(EXT) ;\
	  build_package $(COPY_BASE) $(TAR) $(EXT) $(PACKAGE) \
	                $(PACKAGE) $(CFG) $(BUILDCMDS)


build_pyxml: PACKAGE=$(PYXML)
build_pyxml: PACKAGE_GET=$(PYXML_GET)
build_pyxml: EXT=tar.gz
build_pyxml: TAR=$(TAR1)
build_pyxml: BUILDCMDS="$(PYBIN) setup.py build; $(PYBIN) setup.py install"
build_pyxml: CFG=$(CFGFLAGS)
build_pyxml:  
	@ . build_functions ;\
	  get_package $(PACKAGE) $(PACKAGE_GET) $(EXT) ;\
	  build_package $(COPY_BASE) $(TAR) $(EXT) $(PACKAGE) \
	                $(PACKAGE) $(CFG) $(BUILDCMDS)


build_alsa: PACKAGE=$(ALSA)
build_alsa: PACKAGE_GET=$(ALSA_GET)
build_alsa: EXT=tar.bz2
build_alsa: TAR=$(TAR2)
build_alsa: BUILDCMDS=
build_alsa: CFG=$(CFGFLAGS)
build_alsa: 
	@ . build_functions ;\
	  get_package $(PACKAGE) $(PACKAGE_GET) $(EXT) ;\
	  build_package $(COPY_BASE) $(TAR) $(EXT) $(PACKAGE) \
	                $(PACKAGE) $(CFG) $(BUILDCMDS)


build_aumix: PACKAGE=$(AUMIX)
build_aumix: PACKAGE_GET=$(AUMIX_GET)
build_aumix: EXT=tar.bz2
build_aumix: TAR=$(TAR2)
build_aumix: BUILDCMDS=
build_aumix: CFG="$(CFGFLAGS) --without-ncurses --without-gpm --without-sysmouse --without-gtk --without-gtk1 --disable-nls --with-alsa"
build_aumix: 
	@ . build_functions ;\
	  get_package $(PACKAGE) $(PACKAGE_GET) $(EXT) ;\
	  build_package $(COPY_BASE) $(TAR) $(EXT) $(PACKAGE) \
	                aumix-2.8 $(CFG) $(BUILDCMDS)


build_cddb: PACKAGE=$(CDDB)
build_cddb: PACKAGE_GET=$(CDDB_GET)
build_cddb: EXT=tar.gz
build_cddb: TAR=$(TAR1)
build_cddb: BUILDCMDS="$(PYBIN) setup.py build; $(PYBIN) setup.py install"
build_cddb: CFG=$(CFGFLAGS)
build_cddb:
	@ . build_functions ;\
	  get_package $(PACKAGE) $(PACKAGE_GET) $(EXT) ;\

=== src/Makefile ===
include ../config.mk

CFLAGS  += -I../include -I../plugins/goom/
LDFLAGS += -ldl

SRCS = mpav.c aclib.c draw_text.c msglist.c screen.c event.c slave.c data_import.c render.c

OBJS=$(SRCS:.c=.o)

all: $(PROGRAM)

.SUFFIXES: .c .o

.c.o:
	@echo -e "\033[1;33m* \033[0;1mCompiling: \033[1;36m$< \033[0;1mto \033[1;36m$@\033[0m"
	$(CC) -c $(CFLAGS) -o $@ $<
	@echo

$(OBJS): mpav.c

$(PROGRAM): $(OBJS)
	@echo -e "\033[1;33m* \033[0;1mLinking: \033[1;36m$(OBJS) \033[0;1mto \033[1;36mmpav\033[0m"
	$(CC) $(CFLAGS) $(OBJS) -o $(PROGRAM) $(LDFLAGS)


depend:
	$(CC) -MM $(CFLAGS) $(SRCS) 1>.depend

# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif



clean:
	rm -f *~ *.o *.a

distclean: clean
	rm -f $(PROGRAM)


install:
	install -m 755 $(PROGRAM) $(BIN_PREFIX)

=== contrib/freevused/Makefile ===
include Makefile.config

all: midlet

midlet:
	cd midlet && make

midlet-install:
	cd midlet && make install

clean:
	cd midlet && make clean

dist:
	-rm ../${PACKAGE}-$(VERSION).tar.bz2
	-rm -rf midlet/classes
	cd .. && tar -cjvf ${PACKAGE}-$(VERSION).tar.bz2 ${PACKAGE}-$(VERSION)/

=== plugins/goom/Makefile ===
include ../../config.mk

LIBNAME  = libgoom.a
SLIBNAME = libmpav_goom.so

CFLAGS += -I../../include

SRCS    = goom_core.c filters.c lines.c ifs_display.c ifs.c graphic.c zoom_filter_mmx.c surface.c gmtimer.c frame_rate_tester.c sdl_pixeldoubler.c pixeldoubler.c

OBJS = $(SRCS:.c=.o)


all: $(SLIBNAME)
	@echo -e "\033[0;1m GOOM plugin: \033[1;36m$(SLIBNAME)\033[0;1m Please copy it to your library path\033[0m"

.SUFFIXES: .c .o

.c.o:
	$(CC) -c $(CFLAGS) -o $@ $<

$(OBJS): config.h filters.h gmtimer.h goom_core.h graphic.h lines.h surface.h drawmethods.h frame_rate_tester.h goom_config.h goom_tools.h ifs.h pixeldoubler.h mmx.h

$(LIBNAME): $(OBJS) Makefile
	$(AR) r $(LIBNAME) $(OBJS)

$(SLIBNAME): $(LIBNAME)
	$(CC) $(CFLAGS) -shared -o libmpav_goom.so mpav_goom.c libgoom.a

clean:
	rm -f *.o *.a *~

distclean:
	rm -f *.o *.a *~ *.so

install:
	install $(SLIBNAME) -m 755 $(LIB_PREFIX)

=== runtime/build/Makefile ===
#if 0 /*
# -----------------------------------------------------------------------
# Makefile - compile the libraries and apps.
#
# $Id: Makefile 1802 2003-02-19 05:46:59Z krister $
#
# Notes:
# Todo:        
#
# -----------------------------------------------------------------------
# $Log$
# Revision 1.8  2003/02/19 05:46:59  krister
# Added mplayer patch for CDDA problems. Remove if/when accepted into mplayer.
#
# Revision 1.7  2003/02/18 04:54:05  krister
# runtime builder updates.
#
# Revision 1.6  2003/02/14 05:10:14  krister
# Updated for a fresh mplayer version
#
# Revision 1.5  2003/02/05 20:02:16  krister
# Runtime fixes for the preloads. Disable locale stuff in mplayer.
#
# Revision 1.4  2003/01/30 02:48:47  krister
# Added more MPlayer fixes/patches.
#
# Revision 1.3  2003/01/29 05:35:45  krister
# Updated MPlayer
#
# Revision 1.2  2003/01/28 03:45:35  krister
# Work in progress...
#
# Revision 1.1  2003/01/24 07:20:21  krister
# New runtime
#
#
#
# -----------------------------------------------------------------------
# Freevo - A Home Theater PC framework
# Copyright (C) 2002 Krister Lagerstrom, et al. 
# Please see the file freevo/Docs/CREDITS for a complete list of authors.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MER-
# CHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
# ----------------------------------------------------------------------- */
#endif


TARGETS = mplayer_fonts mplayer aumix

.PHONY: all copy clean


# Build all libs and apps
all: Archive $(TARGETS)


# Copy the generated files to the parent directory
copy: aumix_copy

# Remove all copied libraries, programs etc
# The build directory is not touched
clean:
	-rm -rf $(TARGETS)

Archive:
	mkdir -p Archive


################################################################################
#
# Python 2.2.2
#
################################################################################
python_build:
	@echo Building python



################################################################################
#
# Expat 1.95.5
#
################################################################################
expat_build:
	@echo Building expat


################################################################################
#
# freetype 2.1.3
#
################################################################################
freetype_build:
	@echo Building freetype


################################################################################
#
# zlib 1.1.4
#
################################################################################
zlib_build:
	@echo Building zlib


################################################################################
#
# libpng 1.2.5
#
################################################################################
libpng_build:
	@echo Building libpng


################################################################################
#
# libjpeg v6b
#
################################################################################
libjpeg_build:
	@echo Building libjpeg


################################################################################
#
# Alsa Library 0.9.0rc6
#
################################################################################
alsalib_build:
	@echo Building alsalib


################################################################################
#
# SDL 1.2.5, patched
#
################################################################################
sdl_build:
	@echo Building SDL


################################################################################
#
# SDL_image CVS 2002-08-05 snapshot
#
################################################################################
sdlimage_build:
	@echo Building SDL_image


################################################################################
#
# SDL_ttf2 CVS 2003-01-10 snapshot + patch
#
################################################################################
sdlttf_build:
	@echo Building SDL_ttf2


################################################################################
#
# SDL_mixer 1.2
#
################################################################################
sdlmixer_build:
	@echo Building SDL_mixer


################################################################################
#
# SMPEG 0.4.4
#
################################################################################
smpeg_build:
	@echo Building SMPEG


################################################################################
#
# Ogg Vorbis libao 0.8.3
#
################################################################################
libao_build:
	@echo Building libao


################################################################################
#
# Ogg Vorbis libogg 1.0
#
################################################################################
libogg_build:
	@echo Building libogg


################################################################################
#
# Ogg Vorbis libvorbis 1.0
#
################################################################################
libvorbis_build:
	@echo Building libvorbis


################################################################################
#
# libvorbisfile
#
################################################################################
libvorbisfile_build:
	@echo Building libvorbisfile


################################################################################
#
# libvorbisenc
#
################################################################################
libvorbisenc_build:
	@echo Building libvorbisenc


################################################################################
#
# libusb 0.1.7
#
################################################################################
libusb_build:
	@echo Building libusb


################################################################################
#
# libexif 0.5.9
#
################################################################################
libexif_build:
	@echo Building libexif


################################################################################
#
# libgphoto2 2.1.1
#
################################################################################
libgphoto2_build:
	@echo Building libgphoto2


################################################################################
#
# mplayer/mencoder
#
################################################################################
MPLAYER_DATE = "2003-02-13 22:30 CST"
FFMPEG_DATE = "2003-02-13 22:30 CST"
MPLAYER_CVS = cvs -z3 -d:pserver:anonymous@mplayerhq.hu:/cvsroot/mplayer co -D $(MPLAYER_DATE) main
FFMPEG_CVS = cvs -d:pserver:anonymous@cvs.ffmpeg.sourceforge.net:/cvsroot/ffmpeg co -D $(FFMPEG_DATE) ffmpeg
MPLAYER_CONF = 	--enable-tv-v4l --enable-mga --enable-xmga \
		--enable-runtime-cpudetection --enable-largefiles --disable-lirc \
		--disable-svga --disable-arts --disable-directfb --disable-xvid \
		--disable-divx4linux --disable-gif --disable-gl --disable-setlocale --disable-i18n \
		--datadir=./runtime/apps/mplayer --confdir=./runtime/apps/mplayer

# Build mplayer
# Patch mplayer_dvdprot.diff: Adds -nodvdprotection-override flag
# Patch mplayer_freevobanner.diff: Adds a Freevo notice
mplayer: Archive/mplayer-CVS200302132230.tgz
	@echo Building mplayer/mencoder
	tar xvzf $<
	(cd mplayer ; patch -p1 < ../../src/mplayer_dvdprot.diff ; \
	patch -p1 < ../../src/mplayer_freevobanner.diff ; \
	patch -p0 < ../../src/mplayer_cdda_seeking.diff ; \
	./configure $(MPLAYER_CONF) ; make)

Archive/mplayer-CVS200302132230.tgz:
	(export CVS_PASSFILE cvspass ; $(MPLAYER_CVS) ; \
	$(FFMPEG_CVS) ; mv ffmpeg/libavcodec main ; \
	rm -rf ffmpeg ; mv main mplayer ; tar cvzf $@ mplayer ; rm -rf mplayer)



################################################################################
#
# mplayer fonts
#
################################################################################
mplayer_fonts: Archive/font-arial-iso-8859-1.tar.bz2
	-mkdir mplayer_fonts
	(bzcat Archive/font-arial-iso-8859-1.tar.bz2 | tar -C mplayer_fonts -xvf -)

Archive/font-arial-iso-8859-1.tar.bz2:
	wget -O $@ http://www1.mplayerhq.hu/MPlayer/releases/fonts/font-arial-iso-8859-1.tar.bz2


################################################################################
#
# aumix
#
################################################################################
AUMIX_CONF = --without-ncurses --without-gpm --without-sysmouse --without-gtk \
		--without-gtk1 --disable-nls --with-alsa

.PHONY: aumix aumix_copy

aumix: aumix-2.8

aumix-2.8: Archive/aumix-2.8.tar.bz2 
	@echo Building $@
	tar xvjf $<
	(cd aumix-2.8 ; ./configure $(AUMIX_CONF); make)

Archive/aumix-2.8.tar.bz2:
	wget -O $@ http://www.jpj.net/~trevor/aumix/aumix-2.8.tar.bz2

aumix_copy: aumix-2.8
	cp -f $</src/aumix ../apps

=== contrib/freevused/midlet/Makefile ===
include ../Makefile.config

CLASS_PATH="/usr/local/nokia/j2me/Devices/Series_60_MIDP_Concept_SDK_Beta_0_3_1_Nokia_edition/lib/classes.zip:/usr/local/nokia/j2me/Devices/Series_60_MIDP_Concept_SDK_Beta_0_3_1_Nokia_edition/lib/ext/bluetooth.zip:./classes"

ifndef RESOLUTION
	RESOLUTION=128x128
endif

JAVAC=/usr/bin/javac
PREVERIFY=/usr/local/nokia/j2me/Devices/Series_60_MIDP_Concept_SDK_Beta_0_3_1_Nokia_edition/bin/preverify
JAR=/usr/bin/jar

ifndef LINGUA
  LINGUA=ES
endif

PROGNAME=$(PACKAGE)_$(RESOLUTION)_$(LINGUA)

all: link

clean:
	-rm -rf classes bin

compile:
	-mkdir classes bin
	-ln -sf Translation-${LINGUA}.java src/translate/Translation.java

	$(JAVAC) -d classes/ -classpath $(CLASS_PATH) src/protocol/*.java src/translate/Translate.java src/translate/Translation.java
	$(JAVAC) -d classes/ -classpath $(CLASS_PATH) src/bemused/*.java src/Browser.java src/translate/Translate.java src/translate/Translation.java
	$(JAVAC) -d classes/ -classpath $(CLASS_PATH) src/*.java src/translate/Translate.java src/translate/Translation.java

link: compile

	$(PREVERIFY) -classpath $(CLASS_PATH) -d classes/ -cldc classes/

	cp res/$(RESOLUTION)/* classes/
	cp MANIFEST.MF classes/
	cp MANIFEST.MF bin/$(PROGNAME).jad

	$(JAR) -cmf MANIFEST.MF bin/$(PROGNAME).jar -C classes .

	echo "MIDlet-Jar-URL: $(PROGNAME).jar" >> bin/$(PROGNAME).jad
	echo "MIDlet-Jar-Size: `du -b bin/$(PROGNAME).jar | awk '{print $$1}'`" >> bin/$(PROGNAME).jad

install:
	scp bin/$(PROGNAME).jad bin/$(PROGNAME).jar macario:~/tmp/
	ssh macario gammu 1 --nokiaaddfile Application ~/tmp/$(PROGNAME)

install2:
	scp bin/$(PROGNAME).jad bin/$(PROGNAME).jar macario:~/tmp/
	ssh macario gammu --nokiaaddfile Application ~/tmp/$(PROGNAME)

=== debian/changelog ===
freevo (1.9.2b2-4.2) unstable; urgency=low

  [ Jonathan Wiltshire ]
  * Non-maintainer upload.

  [ Stuart Prescott ]
  * Downgrade dependency on "youtube-dl" to a Suggests and document that users
    should get this (e.g. from backports.debian.org) to enable the YouTube 
    features (Closes: #699018).

 -- Jonathan Wiltshire <jmw@debian.org>  Mon, 04 Feb 2013 21:59:57 +0000

freevo (1.9.2b2-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Indicate that freevo Breaks+Replaces freevo-doc (<< 1.9.2b2), since it
    took over two files (Closes: #694271)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 03 Dec 2012 23:35:46 +0100

freevo (1.9.2b2-4) unstable; urgency=low

  * Bug fix: "fails to install due to insserv rejecting the script
    header", thanks to Andreas Beckmann (Closes: #665741).

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 22 Jul 2012 09:53:46 +0200

freevo (1.9.2b2-3) unstable; urgency=low

  * make sure the recordserver starts after dvbstreamer
  * patch applelib
  * [INTL:nl] Dutch translation of debconf templates,
    thanks to Jeroen Schot (Closes: #652628).
  * [INTL:it] Italian translation of debconf messages,
    thanks to Beatrice Torracca (Closes: #660457).
  * [INTL:pl] Polish debconf translation,
    thanks to Michał Kułach (Closes: #663687).

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 23 Mar 2012 10:47:43 +0100

freevo (1.9.2b2-2) unstable; urgency=low

  * update to svn 11905
  * python-freevo dependencies: add python-gdata, python-imdb, youtube-dl,
    and bump version for kaa, and remove python-support
  * by defaults, use mplayer autodetect for video and audio
  * fix Typo in the .desktop file, thanks to Andrea Carpineti
    (Closes: #620153).
  * fix "Extra packages" section of README.Debian, thanks to
    Geoff Simmons (Closes: #646188).
  * [INTL:pt_BR] Brazilian Portuguese debconf templates, thanks
    to Flamarion Jorge (Closes: #610404).
  * add docbook-utils build-dependency (Closes: #648989).
  * Use 'python-all' as b-d, not 'python-all-dev'.

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 19 Nov 2011 18:36:38 +0100

freevo (1.9.2b2-1) unstable; urgency=low

  * new upstream version
  * do not use python-support
  * Bug fix: "not compatible with Python 2.7?", thanks to Jakub Wilk
    (Closes: #629085).
  * Bug fix: "Please update freevo imdb plugin", thanks to alex (Closes:
    #511020).

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 23 Oct 2011 17:18:40 +0200

freevo (1.9.0-10.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control:
    - Drop python2.5 from Build-Depends (Closes: #623903).
    - Drop quilt from Build-Depends (Closes: #607481).
  * debian/pyversions:
    - Drop 2.5 from supported versions.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 07 May 2011 14:45:12 +0200

freevo (1.9.0-10) unstable; urgency=high

  * Fix FTBFS: rm: cannot remove
    debian/tmp/usr/share/freevo/icons/themes/geexbox/mimetypes/folder.png
    thanks to Jakub Wilk (Closes: #611093).

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 27 Jan 2011 09:07:13 +0100

freevo (1.9.0-9) unstable; urgency=medium

  * Better transition: if freevo is installed anew, it will put all its
    data in /var/lib/freevo (as per bug #606782); whereas if it is upgraded
    from versions <1.9.0-8 then it will work as before, that is, it will
    use all the data in /home/freevo , until the user does all changes
    (see NEWS for details).
  * be sure that /usr/share/freevo/icons/themes/geexbox/mimetypes/folder.png
    exists and is a proper symlink
  * add small change in upstream SVN 11664 to debian/patches/twisted-web-9.diff

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 01 Jan 2011 14:12:56 +0100

freevo (1.9.0-8) unstable; urgency=low

  * found the culprit of bug 606782, so closes: #606782 once and forall
  * analyzed the python2.6 compatibility,
    - fixed: "Python string exceptions no more allowed in Python 2.6",
      thanks to Sandro Tosi and charrea6 (Closes: #585292)
    - did a lot of testing with python2.6
    so re-enable python2.6
  * Create all directories in /var/lib/freevo (Closes: #607921).

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 27 Dec 2010 23:36:00 +0100

freevo (1.9.0-7) unstable; urgency=high

  * add 'Recommends: freevo' to python-freevo
  * this version of freevo works fine with python2.5 but 
    not with newer versions
    - force /usr/bin/freevo.real to select python2.5
    - set shebangs in scripts to /usr/bin/python2.5
    - set pyversions to '2.5' , and B-D to python2.5
  * all the above should also solve the bug
    "package fails to upgrade properly from lenny"; thanks to
    Lucas Nussbaum (Closes: #606782)

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 23 Dec 2010 10:49:15 +0100

freevo (1.9.0-6) unstable; urgency=low

  * fix Problem running imdb plugin from command line,
    thanks to Alessio Treglia (Closes: #511313).
  * add a pyversions (>= 2.5) to avoid python-compile with Python 2.4
    (for people upgrading from lenny)
  * properly use all of the patch from svn11648

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 29 Sep 2010 21:43:02 +0200

=== debian/control ===
Source: freevo
Section: video
Priority: optional
Maintainer: Freevo Debian Dream Team <pkg-freevo-maint@lists.alioth.debian.org>
Uploaders: Georg W. Leonhardt <leonhardt@geole.info>, A Mennucc1 <mennucc1@debian.org>
Build-Depends-Indep: po-debconf
Build-Depends: cdbs (>= 0.4.90), python-all, debhelper (>= 8.0), docbook, docbook-utils
Standards-Version: 3.9.1.0
X-Python-Version: >= 2.6
Vcs-Svn: svn://svn.debian.org/svn/pkg-freevo/packages/freevo/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-freevo/packages/freevo/trunk/
Homepage: http://freevo.org/

Package: freevo
Architecture: all
Depends:  ${misc:Depends}, ${python:Depends}, python-freevo (= ${binary:Version}), freevo-data (= ${binary:Version}),  mplayer, lsdvd, console-tools | kbd, debconf, adduser, xinit
Recommends: cdparanoia, xine-ui, xmltv-util, libxmltv-perl
Suggests: mencoder, libdvdcss2, lame, ttf-liberation | ttf-mscorefonts-installer, fbxine, flac, vorbis-tools, fbset, matrox-tools, nvram-wakeup, youtube-dl
Breaks: freevo-doc (<< 1.9.2b2)
Replaces: freevo-doc (<< 1.9.2b2)
Description: home theater framework - binaries
 Freevo is a complete home theater framework. It can operate as a
 Personal Video Recorder system for saving television input to disk, but
 can also browse and play pictures, music, games, and movies either from
 the hard disk or from CDs and DVDs. Freevo can be used to build a
 dedicated home theater system with a TV (plus remote), or can simply be
 run on a regular desktop computer with a monitor, mouse, and keyboard.
 .
 This package provides Freevo binaries and servers.

Package: python-freevo
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python:Depends}, python-alsaaudio, python-libxml2, python-beautifulsoup (>= 3.0.1), python-html5lib, python-kaa-imlib2 (>= 0.2.3+svn4596), python-kaa-metadata (>= 0.7.7+svn4596), python-kaa-base (>= 0.6.0+svn4596), python-pygame (>> 1.7.1release-4.1+b1), python-imaging, python-twisted (>= 2.5.0), python-sqlite, python-imdbpy, python-gdata
Recommends: freevo (= ${binary:Version})
Description: home theater framework - Python modules
 Freevo is a complete home theater framework. It can operate as a
 Personal Video Recorder system for saving television input to disk, but
 can also browse and play pictures, music, games, and movies either from
 the hard disk or from CDs and DVDs. Freevo can be used to build a
 dedicated home theater system with a TV (plus remote), or can simply be
 run on a regular desktop computer with a monitor, mouse, and keyboard.
 .
 This package provides Python modules for Freevo.

Package: freevo-data
Architecture: all
Recommends: freevo (= ${binary:Version})
Depends: ${misc:Depends}, ttf-dejavu, ttf-bitstream-vera
Conflicts: freevo-media, freevo-common (<< 1.8.0rc2)
Description: home theater framework - themes and data
 Freevo is a complete home theater framework. It can operate as a
 Personal Video Recorder system for saving television input to disk, but
 can also browse and play pictures, music, games, and movies either from
 the hard disk or from CDs and DVDs. Freevo can be used to build a
 dedicated home theater system with a TV (plus remote), or can simply be
 run on a regular desktop computer with a monitor, mouse, and keyboard.
 .
 This package contains themes, fonts, and other data for Freevo.

Package: freevo-lirc
Architecture: all
Depends: ${misc:Depends}, freevo (= ${binary:Version}), python-pylirc, lirc
Description: home theater framework - LIRC support
 Freevo is a complete home theater framework. It can operate as a
 Personal Video Recorder system for saving television input to disk, but
 can also browse and play pictures, music, games, and movies either from
 the hard disk or from CDs and DVDs. Freevo can be used to build a
 dedicated home theater system with a TV (plus remote), or can simply be
 run on a regular desktop computer with a monitor, mouse, and keyboard.
 .
 This package integrates Linux Infra-red Remote Control support for
 Freevo.

Package: freevo-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: freevo
Description: home theater framework - documentation
 Freevo is a complete home theater framework. It can operate as a
 Personal Video Recorder system for saving television input to disk, but
 can also browse and play pictures, music, games, and movies either from
 the hard disk or from CDs and DVDs. Freevo can be used to build a
 dedicated home theater system with a TV (plus remote), or can simply be
 run on a regular desktop computer with a monitor, mouse, and keyboard.
 .
 This package contains documentation for Freevo in HTML.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON2_MODULE_PACKAGES=freevo python-freevo

DEBIAN_VERSION:=$(shell head -1 debian/changelog | cut -d\( -f2 | cut -d\) -f1)
UPSTREAM_VERSION:=1.9.2-svn

#configure/freevo::
#	#this is needed in SVN versions to build documentations
#	#cd Docs/installation && docbook2html -o html howto.sgml
#	#but also locales
#	sh autogen.sh
#	echo '__revision__="11545"' > src/revision.py

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

# this is already copied in debian/copyright
DEB_DH_INSTALL_ARGS= -XAquaFusion_Icons_LICENSE -XCOPYING

build/freevo::
	./autogen.sh
	#this is broken at this point
	echo "__revision__ = 'upstream'" > src/revision.py

install/freevo::

	: # Replace all '#!' calls to python with /usr/bin/python
	: # and make them executable
	for i in debian/tmp/usr/bin/freevo debian/tmp/usr/share/freevo/htdocs/downloadurl `find debian/tmp -type f -name "*py" ` ; do \
	  sed '1s,#!.*python[^ ]*\(.*\),#! /usr/bin/python \1,' \
		"$$i" > "$$i.temp"; \
	  if cmp --quiet "$$i" "$$i.temp"; then \
	    rm -f "$$i.temp"; \
	  else \
	    mv -f "$$i.temp" "$$i"; \
	    chmod 755 "$$i"; \
	    echo "fixed interpreter: $$i"; \
	  fi; \
	done

	: #fill __init__.py so that they are not butchered by pysupport
	for i in `find debian/tmp -type f -name "__init__.py" -size 0 `; do  echo '#placeholder' >> "$$i" ; echo "sos $$i" ; done

	mv $(CURDIR)/debian/tmp/usr/share/doc/freevo-$(UPSTREAM_VERSION) \
		$(CURDIR)/debian/tmp/usr/share/doc/freevo

	mv $(CURDIR)/debian/tmp/usr/bin/freevo  $(CURDIR)/debian/tmp/usr/bin/freevo.real
	install  $(CURDIR)/debian/scripts/freevo $(CURDIR)/debian/tmp/usr/bin/freevo
	install  $(CURDIR)/debian/scripts/freevo+log $(CURDIR)/debian/tmp/usr/share/freevo/contrib/freevo+log

	#clean up dreaded folder.png problem
	rm -f debian/tmp/usr/share/freevo/icons/themes/geexbox/mimetypes/folder.png
	ln -sv folder_image.png debian/tmp/usr/share/freevo/icons/themes/geexbox/mimetypes/folder.png

	dh_installinit -pfreevo --no-start --name=freevo_xserver
	dh_installinit -pfreevo --no-start --name=freevo_recordserver
	dh_installinit -pfreevo --no-start --name=freevo_encodingserver
	dh_installinit -pfreevo --no-start --name=freevo_webserver
	dh_installinit -pfreevo --no-start --name=freevo_rssserver

binary-install/freevo-doc::
	cd debian/freevo-doc/usr/share/doc/freevo/ && rm -f README RELEASE_NOTES INSTALL

binary-install/freevo-data::
	for i in VeraBd.ttf VeraBI.ttf VeraIt.ttf VeraMoBd.ttf VeraMoBI.ttf VeraMoIt.ttf VeraMono.ttf VeraSeBd.ttf VeraSe.ttf Vera.ttf ; do \
		dh_link -pfreevo-data /usr/share/fonts/truetype/ttf-bitstream-vera/$$i \
			/usr/share/freevo/fonts/$$i ;\
	done
	for i in `cd debian/freevo-data/usr/share/freevo/fonts ; echo Deja*`; do \
		rm -v debian/freevo-data/usr/share/freevo/fonts/$$i ;\
		dh_link -pfreevo-data /usr/share/fonts/truetype/ttf-dejavu/$$i \
			/usr/share/freevo/fonts/$$i ;\
	done

	# Temporaly hacks to fix file permissions
	chmod a-x debian/freevo-data/usr/share/freevo/skins/main/Tux* \
		debian/freevo-data/usr/share/freevo/skins/osd/blurr.fxd \
		debian/freevo-data/usr/share/freevo/fonts/Sansumi-DemiBold.ttf \
		debian/freevo-data/usr/share/freevo/images/atlantice/back_black.jpg \
		debian/freevo-data/usr/share/freevo/skins/osd/base.fxd
	find  debian/freevo-data/usr/share/freevo -type f -name '*.png' -print0 | xargs -0 chmod a-x


clean::
	rm -f version.pyc

=== debian/watch ===
version=3

http://qa.debian.org/watch/sf.php/freevo freevo-((?:\d\.)+\d)\.tar\.gz
